﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Globalization;
using System.Timers;

namespace WpfCulture
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : INotifyPropertyChanged
    {
        public MainWindow()
        {
            _allCultures = new List<CultureInfo>(CultureInfo.GetCultures(CultureTypes.AllCultures));
            DataContext = this;
            InitializeComponent();
        }

        private readonly List<CultureInfo> _allCultures;
        public List<CultureInfo> AllCultures
        {
            get { return _allCultures; }
        }

        public DateTime DateTime
        {
            get { return DateTime.Now; }
        }
        public DateTime DateTimePlus12
        {
            get { return DateTime.Now.AddHours(12); }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
